> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kineticsystems.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workflow



## OpenAPI

````yaml openapi.json patch /api/workflows/{workflow_uuid}
openapi: 3.1.0
info:
  title: Kinetic API
  version: 0.1.0
servers: []
security: []
paths:
  /api/workflows/{workflow_uuid}:
    patch:
      tags:
        - workflows
      summary: Update Workflow
      operationId: update_workflow_api_workflows__workflow_uuid__patch
      parameters:
        - name: workflow_uuid
          in: path
          required: true
          schema:
            type: string
            title: Workflow Uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWorkflowPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    UpdateWorkflowPayload:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        specification:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Specification
      type: object
      title: UpdateWorkflowPayload
    WorkflowResponse:
      properties:
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        workflow_uuid:
          type: string
          title: Workflow Uuid
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        workflow_version_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Version Uuid
        specification:
          anyOf:
            - {}
            - type: 'null'
          title: Specification
        versions:
          anyOf:
            - items:
                $ref: '#/components/schemas/WorkflowVersionResponse'
              type: array
            - type: 'null'
          title: Versions
        current_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Version
        executions:
          type: integer
          title: Executions
          default: 0
        success_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Success Rate
        last_run:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Run
      type: object
      required:
        - workflow_uuid
        - name
      title: WorkflowResponse
      description: >-
        Backed by `workflows` table (see `kinetic/db/schema.sql`).


        `workflow_version_uuid`/`specification` are derived from the latest
        version

        and may be included by some endpoints.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowVersionResponse:
      properties:
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        workflow_version_uuid:
          type: string
          title: Workflow Version Uuid
        workflow_uuid:
          type: string
          title: Workflow Uuid
        version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version
        is_current:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Current
        specification:
          title: Specification
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - workflow_version_uuid
        - workflow_uuid
        - specification
      title: WorkflowVersionResponse
      description: >-
        Backed by `workflow_versions` table (see `kinetic/db/schema.sql`).


        Note: `name`/`description` are workflow-identity fields (from
        `workflows`) and

        may be included by some endpoints (e.g. create), but are not stored on
        the

        version row itself, so they must be optional.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Kinetic-Key
      description: Your Kinetic API key

````